PKGBUILD 1.39 KB
Newer Older
Phil's avatar
Phil committed
1 2 3 4 5 6 7 8 9 10
#
# Chakra Packages for Chakra, part of chakra-project.org
#
# maintainer (i686): Phil Miller <philm[at]chakra-project[dog]org>
# maintainer (x86_64): Manuel Tortosa <manutortosa[at]chakra-project[dot]org>

# use ../makepkg -d
_kernver="2.6.35-CHAKRA-LTS"

pkgname=nvidia-lts
11
pkgver=285.05.09
Phil's avatar
Phil committed
12 13 14 15 16 17 18 19 20 21 22
pkgrel=1
pkgdesc="NVIDIA drivers for kernel26."
arch=('i686' 'x86_64')
url="http://www.nvidia.com/"
depends=('kernel26-lts>=2.6.35' 'kernel26-lts<2.6.36' "nvidia-utils=${pkgver}")
makedepends=('kernel26-lts-headers>=2.6.35' 'kernel26-lts-headers<2.6.36')
conflicts=('nvidia-96xx-lts' 'nvidia-173xx-lts')
license=('custom')
install=nvidia.install

if [ "$CARCH" = "i686" ]; then
Phil's avatar
Phil committed
23 24 25
    ARCH='x86'
    _pkg="NVIDIA-Linux-${ARCH}-${pkgver}"
    source=("http://us.download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/${_pkg}.run")
26
    md5sums=('c3992c8cef02b7773a398640d8830e77')
Phil's avatar
Phil committed
27
elif [ "$CARCH" = "x86_64" ]; then
Phil's avatar
Phil committed
28 29 30
    ARCH='x86_64'
    _pkg="NVIDIA-Linux-${ARCH}-${pkgver}-no-compat32"
    source=("http://us.download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/${_pkg}.run")
31
    md5sums=('2f4a0e78f5560c07220b7ed6fc1e27aa')
Phil's avatar
Phil committed
32 33 34 35 36 37 38 39 40 41 42 43 44 45 46
fi

build() {
        cd $srcdir
        sh ${_pkg}.run --extract-only
        cd ${_pkg}/kernel
        make SYSSRC=/lib/modules/${_kernver}/build module
}

package() {
        install -D -m644 $srcdir/${_pkg}/kernel/nvidia.ko \
                $pkgdir/lib/modules/${_kernver}/kernel/drivers/video/nvidia.ko
}